package modelo;

import java.util.ArrayList;
import java.util.Date;
import java.util.Iterator;
import java.util.Observable;


// <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
// #[regen=yes,id=DCE.D23CD7D6-3C83-7602-5E53-36DD44701DBD]
// </editor-fold> 
public class Objetivo extends Observable{

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.B46C5EBF-AE51-96FB-E22A-79849DDBB20B]
    // </editor-fold>

    private Date fecha;

    private String nombre;

    private String importancia;

    private String urgencia;

    private String estadodeDesarrollo;

    private String estabilidad;

    private String descripcion;

    private String Comentarios;

    private ArrayList<SubObj> mSubObj= new ArrayList();

    public Objetivo () {
    }
    public ArrayList<SubObj> getSubObjetivo () {
        return mSubObj;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker ">
    // #[regen=yes,regenBody=yes,id=DCE.53D39B7F-03CC-D44E-1C6A-CB6F6C02538E]
    // </editor-fold>
    public void setSubObjetivo (ArrayList<SubObj> val) {
        this.mSubObj = val;
    }
    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.B5B6115C-A0CD-8552-6897-F17D4E79AE6C]
    // </editor-fold> 
    public void añadir_nuevo_objetivo () {
    }

    public String getImportancia () {
        return importancia;
    }

    public void setImportancia (String val) {
        this.importancia = val;
    }

    public String getUrgencia () {
        return urgencia;
    }

    public void setUrgencia (String val) {
        this.urgencia = val;
    }

    public String getEstabilidad () {
        return estabilidad;
    }

    public void setEstabilidad (String val) {
        this.estabilidad = val;
    }

    public String getEstadodeDesarrollo () {
        return estadodeDesarrollo;
    }

    public void setEstadodeDesarrollo (String val) {
        this.estadodeDesarrollo = val;
    }

    public String getDescripcion () {
        return descripcion;
    }

    public void setDescripcion (String val) {
        this.descripcion = val;
    }

     public String getComentarios () {
        return Comentarios;
    }

    public void setComentarios (String val) {
        this.Comentarios = val;
    }

    public String getNombre () {
        return nombre;
    }

    public void setNombre (String val) {
        this.nombre = val;
    }

    public SubObj AñadirSubObjetivo () {
        return null;
    }

    public Date getFecha () {
        return fecha;
    }
    // <editor-fold defaultstate="collapsed" desc=" UML Marker ">
    // #[regen=yes,regenBody=yes,id=DCE.D1E2F321-6138-90D0-3C54-457839D8992F]
    // </editor-fold>
    public void setFecha (Date val) {
        this.fecha = val;
    }

    
     public SubObj nuevoSubObj (Date fecha, String Nombre, String Descripcion, String Importancia, String Urgencia, String Estadodesarrollo, String Estabilidad, String Comentarios, Objetivo auxObj){

       SubObj auxSubObj=new SubObj();

       auxSubObj.setFecha(fecha);
       auxSubObj.setNombre(Nombre);
       auxSubObj.setDescripcion(Descripcion);
       auxSubObj.setImportancia(Importancia);
       auxSubObj.setUrgencia(Urgencia);
       auxSubObj.setEstadodesarrollo(Estadodesarrollo);
       auxSubObj.setEstabilidad(Estabilidad);
       auxSubObj.setComentarios(Comentarios);
       auxSubObj.setNombreObj(auxObj.getNombre());


       this.getSubObjetivo().add(auxSubObj);
       setChanged();
       notifyObservers();
       return auxSubObj;
    }


}

